Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.transformation
Class EffectPipe.NullHandler

    java.lang.Object
      org.apache.cocoon.forms.transformation.EffectPipe.NullHandler

All Implemented Interfaces:
  EffectPipe.Handler

Direct Known Subclasses:
  EffectPipe.BufferHandler, EffectPipe.CopyHandler, EffectPipe.ErrorHandler, EffectWidgetReplacingPipe.ValidationErrorHandler, EffectWidgetReplacingPipe.WidgetHandler

Enclosing class:
  EffectPipe

protected class EffectPipe.NullHandler
extends Object
implements EffectPipe.Handler

Ignores all events

Constructor Summary
`protected` | `EffectPipe.NullHandler()`

Method Summary
`EffectPipe.Handler` | `characters(char[] ch, int start, int length)`
`EffectPipe.Handler` | `comment(char[] c, int start, int len)`
`EffectPipe.Handler` | `endCDATA()`
`void` | `endDocument()`
`EffectPipe.Handler` | `endDTD()`
`void` | `endElement(String uri, String loc, String raw)`
`EffectPipe.Handler` | `endEntity(String name)`
`void` | `endPrefixMapping(String prefix)`
`EffectPipe.Handler` | `ignorableWhitespace(char[] ch, int start, int length)`
`EffectPipe.Handler` | `nestedElement(String uri, String loc, String raw, Attributes attrs)` Called before startElement, handler can decide what other handler should process next startElement.
`EffectPipe.Handler` | `processingInstruction(String target, String data)`
`EffectPipe.Handler` | `skippedEntity(String name)`
`EffectPipe.Handler` | `startCDATA()`
`EffectPipe.Handler` | `startDocument()`
`EffectPipe.Handler` | `startDTD(String name, String publicId, String systemId)`
`EffectPipe.Handler` | `startElement(String uri, String loc, String raw, Attributes attrs)`
`EffectPipe.Handler` | `startEntity(String name)`
`void` | `startPrefixMapping(String prefix, String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EffectPipe.NullHandler

    protected EffectPipe.NullHandler()

Method Detail

### startDocument

    public EffectPipe.Handler startDocument()
                                     throws SAXException

  Specified by:
    `startDocument` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Specified by:
    `endDocument` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)
                            throws SAXException

  Specified by:
    `startPrefixMapping` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### endPrefixMapping

    public void endPrefixMapping(String prefix)
                          throws SAXException

  Specified by:
    `endPrefixMapping` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### nestedElement

    public EffectPipe.Handler nestedElement(String uri,
                                            String loc,
                                            String raw,
                                            Attributes attrs)
                                     throws SAXException

  Description copied from interface: `EffectPipe.Handler`
  Called before startElement, handler can decide what other handler should process next startElement.

  Specified by:
    `nestedElement` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### startElement

    public EffectPipe.Handler startElement(String uri,
                                           String loc,
                                           String raw,
                                           Attributes attrs)
                                    throws SAXException

  Specified by:
    `startElement` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String loc,
                           String raw)
                    throws SAXException

  Specified by:
    `endElement` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### characters

    public EffectPipe.Handler characters(char[] ch,
                                         int start,
                                         int length)
                                  throws SAXException

  Specified by:
    `characters` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### ignorableWhitespace

    public EffectPipe.Handler ignorableWhitespace(char[] ch,
                                                  int start,
                                                  int length)
                                           throws SAXException

  Specified by:
    `ignorableWhitespace` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### processingInstruction

    public EffectPipe.Handler processingInstruction(String target,
                                                    String data)
                                             throws SAXException

  Specified by:
    `processingInstruction` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### skippedEntity

    public EffectPipe.Handler skippedEntity(String name)
                                     throws SAXException

  Specified by:
    `skippedEntity` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### startDTD

    public EffectPipe.Handler startDTD(String name,
                                       String publicId,
                                       String systemId)
                                throws SAXException

  Specified by:
    `startDTD` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### endDTD

    public EffectPipe.Handler endDTD()
                              throws SAXException

  Specified by:
    `endDTD` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### startEntity

    public EffectPipe.Handler startEntity(String name)
                                   throws SAXException

  Specified by:
    `startEntity` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### endEntity

    public EffectPipe.Handler endEntity(String name)
                                 throws SAXException

  Specified by:
    `endEntity` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### startCDATA

    public EffectPipe.Handler startCDATA()
                                  throws SAXException

  Specified by:
    `startCDATA` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### endCDATA

    public EffectPipe.Handler endCDATA()
                                throws SAXException

  Specified by:
    `endCDATA` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

### comment

    public EffectPipe.Handler comment(char[] c,
                                      int start,
                                      int len)
                               throws SAXException

  Specified by:
    `comment` in interface `EffectPipe.Handler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.